Release Tracking Report missed bug

RESOLVED FIXED

Status

()

bugzilla.mozilla.org
Extensions: BMO
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: Tomcat, Assigned: dkl)

Tracking

Production

Details

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
Sylvestre pinged me about https://bugzilla.mozilla.org/show_bug.cgi?id=1208226 that apprently missed the uplift.

I did a search and found out something is wrong.

Steps to reproduce:
2016-02-15 02:57:22 PST - Bug 1208226 was marked as approval beta+

so if you use https://bugzilla.mozilla.org/page.cgi?id=release_tracking_report.html and set 
: Show where was changed to (and is currently) approval-beta + between 2016-01-05 and 2016-02-15 and firefox 45 not fixed doesnt' have this bug 

if also not 2016-02-16 -> now range don't have this bug 

The only query where this bug is shown up is 2015-11-24 -> 2016-01-04 
which was the Firefox 44 release i think..

But that bug was not marked as approval between that time range ?
(Reporter)

Comment 1

2 years ago
(In reply to Carsten Book [:Tomcat] from comment #0)
> Sylvestre pinged me about
> https://bugzilla.mozilla.org/show_bug.cgi?id=1208226 that apprently missed
> the uplift.
> 
> I did a search and found out something is wrong.

oh never mind my bad - that bug above is complete missing in the bug queries:

     Bug ID: 1218473, 1233182, 1235855, 1212133, 1238892, 1239823, 1242641, 1242293, 1240848 

so its still valid for so if you use https://bugzilla.mozilla.org/page.cgi?id=release_tracking_report.html and set 
: Show where was changed to (and is currently) approval-beta + between 2016-01-05 and 2016-02-15 and firefox 45 not fixed doesnt' have this bug  that bug 1208226 is missing
(Reporter)

Comment 3

2 years ago
just as idea, could the problem be that the bug state in question is not fixed (reopen in this case) and that we miss such cases ?
(Assignee)

Comment 4

2 years ago
(In reply to Carsten Book [:Tomcat] from comment #0)
> Steps to reproduce:
> 2016-02-15 02:57:22 PST - Bug 1208226 was marked as approval beta+
> 
> so if you use
> https://bugzilla.mozilla.org/page.cgi?id=release_tracking_report.html and
> set 
> : Show where was changed to (and is currently) approval-beta + between
> 2016-01-05 and 2016-02-15 and firefox 45 not fixed doesnt' have this bug 

One thing to note is the actual dates in the SQL query end up being:

AND (a.bug_when >= '2016-01-05 00:00:00')
AND (a.bug_when < '2016-02-15 00:00:00')

So the 2016-02-15 02:57:22 PST date will not fall within that range which would explain why it is missing.

And the next date range in the list will not get it either as it is between 2016-02-16 and 2016-03-28.
So this is an issue in that there is a complete day in which we cannot use in our results.

I will see if I can fix this properly.

> The only query where this bug is shown up is 2015-11-24 -> 2016-01-04 
> which was the Firefox 44 release i think..
> 
> But that bug was not marked as approval between that time range ?

I do not see the bug id in the list when using that search criteria. I see 1208876 which is close.

dkl
(Assignee)

Updated

2 years ago
Assignee: nobody → dkl
Status: NEW → ASSIGNED
(Reporter)

Comment 5

2 years ago
(In reply to David Lawrence [:dkl] from comment #4)
> I do not see the bug id in the list when using that search criteria. I see
> 1208876 which is close.
> 
> dkl

yeah sorry my bad, was more confusing myself :)
(Assignee)

Comment 6

2 years ago
Created attachment 8721862 [details] [diff] [review]
1249614_1.patch

Quick sanity check on my solution. Thanks!
Attachment #8721862 - Flags: review?(glob)
Comment on attachment 8721862 [details] [diff] [review]
1249614_1.patch

Review of attachment 8721862 [details] [diff] [review]:
-----------------------------------------------------------------

::: extensions/BMO/lib/Reports/ReleaseTracking.pm
@@ +370,4 @@
>              push @where, "(a.bug_when >= ?)";
>              push @params, $q->{start_date} . ' 00:00:00';
>              push @where, "(a.bug_when < ?)";
> +            push @params, $q->{end_date} . ' 23:59:59';

the operator should be <= to match end_dates on the last second of the day.
otherwise lgtm
Attachment #8721862 - Flags: review?(glob) → review+
(Assignee)

Comment 8

2 years ago
Thanks!

To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   d78003b..4541fb3  master -> master

dkl
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.